## ovs-dpdk

ovs-dpdk — OvsDpdk Link Settings

## Properties

Table 60.

Key Name | Value Type | Default Value | Value Description
--- | --- | --- | ---

    devargs

    string

Open vSwitch DPDK device arguments.

    n-rxq

    uint32

    0

Open vSwitch DPDK number of rx queues. Defaults to zero which means to leave the parameter in OVS unspecified and effectively configures one queue.

    n-rxq-desc

    uint32

    0

The rx queue size (number of rx descriptors) for DPDK ports. Must be zero or a power of 2 between 1 and 4096, and supported by the hardware. Defaults to zero which means to leave the parameter in OVS unspecified and effectively configures 2048 descriptors.

    n-txq-desc

    uint32

    0

The tx queue size (number of tx descriptors) for DPDK ports. Must be zero or a power of 2 between 1 and 4096, and supported by the hardware. Defaults to zero which means to leave the parameter in OVS unspecified and effectively configures 2048 descriptors.